Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   ArchLinux General Discussion (http://www.linux-archive.org/archlinux-general-discussion/)
-   -   Adobe-air (http://www.linux-archive.org/archlinux-general-discussion/380839-adobe-air.html)

Madhurya Kakati 06-03-2010 06:29 AM

Adobe-air
 
HI all,
I tried all arch packages of adobe-air from AUR and also
bin32-adobe-air without success. So i went to their website and
downloaded the .bin file for linux. So i ran chmod a+x
AdobeAirInstaller.bin to make it executable and then ran sudo
./AdobeAirInstaller.bin. I remember i did this and successfully
installed adobe air on Ubuntu but now in arch it throws an error.
Error loading the runtime (libgtk-x11-2.0.so.0: wrong ELF class:
ELFCLASS64). I am using 64 bit arch. Please help.
Thanks

Robert Howard 06-03-2010 08:41 AM

Adobe-air
 
It's a 32-bit binary and you only have 64-bit libs. You need to install the
32-bit version of GTK+ and I would guess a few others.

On Jun 3, 2010 2:29 AM, "Madhurya Kakati" <mkakati2805@gmail.com> wrote:

HI all,
I tried all arch packages of adobe-air from AUR and also
bin32-adobe-air without success. So i went to their website and
downloaded the .bin file for linux. So i ran chmod a+x
AdobeAirInstaller.bin to make it executable and then ran sudo
./AdobeAirInstaller.bin. I remember i did this and successfully
installed adobe air on Ubuntu but now in arch it throws an error.
Error loading the runtime (libgtk-x11-2.0.so.0: wrong ELF class:
ELFCLASS64). I am using 64 bit arch. Please help.
Thanks

Robert Howard 06-03-2010 08:43 AM

Adobe-air
 
Forgot to add 'pacman -Sy lib32'

On Jun 3, 2010 4:41 AM, "Robert Howard" <rjh0507@ecu.edu> wrote:

It's a 32-bit binary and you only have 64-bit libs. You need to install the
32-bit version of GTK+ and I would guess a few others.


>
> On Jun 3, 2010 2:29 AM, "Madhurya Kakati" <mkakati2805@gmail.com> wrote:
>
> HI all,
> I tried ...

Gaurish Sharma 06-03-2010 11:54 AM

Adobe-air
 
Hi,
for 64bit, install the following package from AUR[1]. Its working for
me with any issues on x86_64.



[1] bin32-adobe-air http://aur.archlinux.org/packages.php?ID=23330


Regards,
Gaurish Sharma
www.gaurishsharma.com

Madhurya Kakati 06-03-2010 12:58 PM

Adobe-air
 
On Thu, Jun 3, 2010 at 5:24 PM, Gaurish Sharma
<contact@gaurishsharma.com> wrote:
> Hi,
> for 64bit, install the following package from AUR[1]. Its working for
> me with any issues on x86_64.
>
>
>
> [1] bin32-adobe-air http://aur.archlinux.org/packages.php?ID=23330
>
>
> Regards,
> Gaurish Sharma
> www.gaurishsharma.com
>

Gaurish, I tried it too but i cant run tweetdeck in it.

Madhurya Kakati 06-03-2010 12:59 PM

Adobe-air
 
On Thu, Jun 3, 2010 at 2:13 PM, Robert Howard <rjh0507@ecu.edu> wrote:
> Forgot to add 'pacman -Sy lib32'
>
> On Jun 3, 2010 4:41 AM, "Robert Howard" <rjh0507@ecu.edu> wrote:
>
> It's a 32-bit binary and you only have 64-bit libs. You need to install the
> 32-bit version of GTK+ and I would guess a few others.
>
>
>>
>> On Jun 3, 2010 2:29 AM, "Madhurya Kakati" <mkakati2805@gmail.com> wrote:
>>
>> HI all,
>> I tried ...
>

will pacman -S lib32 install every 32bit libs?

Gaurish Sharma 06-03-2010 02:11 PM

Adobe-air
 
Hi,


On Thu, Jun 3, 2010 at 6:28 PM, Madhurya Kakati <mkakati2805@gmail.com> wrote:
>
> Gaurish, I tried it too but i cant run tweetdeck in it.
>

What error do you get? I am asking because same thing runs on my
system without any issues.

Regards,
Gaurish Sharma
www.gaurishsharma.com

Robert Howard 06-03-2010 03:56 PM

Adobe-air
 
Yes

On Jun 3, 2010 9:01 AM, "Madhurya Kakati" <mkakati2805@gmail.com> wrote:

On Thu, Jun 3, 2010 at 2:13 PM, Robert Howard <rjh0507@ecu.edu> wrote:
> Forgot to add 'pacman -Sy l...
will pacman -S lib32 install every 32bit libs?

Madhurya Kakati 06-04-2010 08:00 AM

Adobe-air
 
On Thu, Jun 3, 2010 at 7:41 PM, Gaurish Sharma
<contact@gaurishsharma.com> wrote:
> Hi,
>
>
> On Thu, Jun 3, 2010 at 6:28 PM, Madhurya Kakati <mkakati2805@gmail.com> wrote:
>>
>> Gaurish, I tried it too but i cant run tweetdeck in it.
>>
>
> What error do you get? I am asking because same thing runs on my
> system without any issues.
>
> Regards,
> Gaurish Sharma
> www.gaurishsharma.com
>

Ok i have installed bin32-adobe-air from AUR as you said. also i have
the .air file of tweetdeck. Can u tell me how to install it?

Gaurish Sharma 06-04-2010 08:04 AM

Adobe-air
 
>
> Ok i have installed bin32-adobe-air from AUR as you said. also i have
> the .air file of tweetdeck. Can u tell me how to install it?
>
Hi,
you can get tweetdeck from AUR itself[1]

[1] http://aur.archlinux.org/packages.php?ID=25070

Regards,
Gaurish Sharma


All times are GMT. The time now is 01:24 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.